Qt API | Qtopia API | Qtopia Documentation |

# QPEDateTimeEdit Class Reference

The QPEDateTimeEdit class provides a compact widget for selecting a date and time. More...

`#include <qtopia/datetimeedit.h>`

Inherits QHBox.

List of all member functions.

## Public Members

- QPEDateTimeEdit ( QWidget * parent = 0, const char * name = 0 )
- QPEDateTimeEdit ( const QDateTime & dt, QWidget * parent = 0, const char * name = 0 )
- ~QPEDateTimeEdit ()
- void setTimeEnabled ( bool b )
- void setDateEnabled ( bool b )
- bool timeIsEnabled () const
- bool dateIsEnabled () const
- QDate date () const
- QTime time () const
- QDateTime dateTime () const

## Public Slots

- virtual void setDateTime ( const QDateTime & dt )
- virtual void setDate ( const QDate & dt )
- virtual void setTime ( const QTime & dt )

## Signals

- void valueChanged ( const QDateTime & t )

## Detailed Description

The QPEDateTimeEdit class provides a compact widget for selecting a date and time.

QPEDateTimeEdit displays a QPEDateEdit and QPETimeEdit side-by-side.

See also Qtopia Classes.

## Member Function Documentation

### QPEDateTimeEdit::QPEDateTimeEdit ( QWidget * parent = 0, const char * name = 0 )

Constructs a QPEDateTimeEdit with the date set to today and the time set to 00:00.

### QPEDateTimeEdit::QPEDateTimeEdit ( const QDateTime & dt, QWidget * parent = 0, const char * name = 0 )

Constructs QPEDateTimeEdit with the date and time dt.

### QPEDateTimeEdit::~QPEDateTimeEdit ()

Destructs QPEDateTimeEdit.

### QDate QPEDateTimeEdit::date () const

Returns the currently selected date.

### bool QPEDateTimeEdit::dateIsEnabled () const

Returns TRUE if changing the date is enabled, otherwise FALSE.

See also setDateEnabled().

### QDateTime QPEDateTimeEdit::dateTime () const

Returns the currently selected date and time.

### void QPEDateTimeEdit::setDate ( const QDate & dt )`[virtual slot]`

Sets the current date to dt.

See also setDateTime().

### void QPEDateTimeEdit::setDateEnabled ( bool b )

Enables changing the date if b is TRUE, otherwise disables input.

See also dateIsEnabled() and setTimeEnabled().

### void QPEDateTimeEdit::setDateTime ( const QDateTime & dt )`[virtual slot]`

Sets the current date and time to dt.

See also setDate() and setTime().

### void QPEDateTimeEdit::setTime ( const QTime & dt )`[virtual slot]`

Sets the current time to dt.

See also setDateTime().

### void QPEDateTimeEdit::setTimeEnabled ( bool b )

Enables changing the time if b is TRUE, otherwise disables input.

See also timeIsEnabled() and setDateEnabled().

### QTime QPEDateTimeEdit::time () const

Returns the currently selected time.

### bool QPEDateTimeEdit::timeIsEnabled () const

Returns TRUE if changing the time is enabled, otherwise FALSE.

See also setTimeEnabled().

### void QPEDateTimeEdit::valueChanged ( const QDateTime & t )`[signal]`

This signal is emitted when the date or time is changed.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.